## Install

> AWS CLI is required!

1. Install the [CloudFormation CLI](https://docs.aws.amazon.com/cloudformation-cli/latest/userguide/what-is-cloudformation-cli.html)
2. `cd subnet/`
    1. `cfn submit`
    2. `cd ../`
3. `cd vpc2/`
    1. `cfn submit`
    2. `cd ../`
4. cd `demo/`
    1. Deploy CloudFormation Stack based on `template.yml` via UI

## Clean up

Delete demo Stack and run:
```bash
aws cloudformation deregister-type --type MODULE --type-name cloudonaut::VPC::Subnet::MODULE
aws cloudformation deregister-type --type MODULE --type-name cloudonaut::VPC::TwoZones::MODULE
```
Delete `CloudFormationManagedUploadInfrastructure` stack created by CloudFormation.
KMS key is skipped, delete it manually
You have to cleanup the S3 Bucket. Use the Empty button in the bucket list to get rid of the versioned objects.
